*** ./src/backend/executor/spi.c.orig	2004-09-29 23:47:21.000000000 -0300
--- ./src/backend/executor/spi.c	2004-09-29 23:47:42.000000000 -0300
***************
*** 188,194 ****
  		ereport(WARNING,
  				(errcode(ERRCODE_WARNING),
  				 errmsg("transaction left non-empty SPI stack"),
! 				 errhint("Check for missing \"SPI_finish\" calls")));
  
  	_SPI_current = _SPI_stack = NULL;
  	_SPI_stack_depth = 0;
--- 188,194 ----
  		ereport(WARNING,
  				(errcode(ERRCODE_WARNING),
  				 errmsg("transaction left non-empty SPI stack"),
! 				 errhint("Check for missing \"SPI_finish\" calls.")));
  
  	_SPI_current = _SPI_stack = NULL;
  	_SPI_stack_depth = 0;
*** ./src/backend/parser/parse_coerce.c.orig	2004-09-29 23:54:34.000000000 -0300
--- ./src/backend/parser/parse_coerce.c	2004-09-29 23:55:46.000000000 -0300
***************
*** 864,873 ****
  				ereport(ERROR,
  						(errcode(ERRCODE_DATATYPE_MISMATCH),
  
! 				/*
! 				 * translator: first %s is name of a SQL construct, eg
! 				 * CASE
! 				 */
  						 errmsg("%s types %s and %s cannot be matched",
  								context,
  								format_type_be(ptype),
--- 864,870 ----
  				ereport(ERROR,
  						(errcode(ERRCODE_DATATYPE_MISMATCH),
  
! 				/* translator: first %s is name of a SQL construct, eg CASE */
  						 errmsg("%s types %s and %s cannot be matched",
  								context,
  								format_type_be(ptype),
*** ./src/backend/postmaster/postmaster.c.orig	2004-09-29 00:11:53.000000000 -0300
--- ./src/backend/postmaster/postmaster.c	2004-09-29 23:58:23.000000000 -0300
***************
*** 2336,2363 ****
  	if (WIFEXITED(exitstatus))
  		ereport(lev,
  
! 		/*
! 		 * translator: %s is a noun phrase describing a child process,
! 		 * such as "server process"
! 		 */
  				(errmsg("%s (PID %d) exited with exit code %d",
  						procname, pid, WEXITSTATUS(exitstatus))));
  	else if (WIFSIGNALED(exitstatus))
  		ereport(lev,
  
! 		/*
! 		 * translator: %s is a noun phrase describing a child process,
! 		 * such as "server process"
! 		 */
  				(errmsg("%s (PID %d) was terminated by signal %d",
  						procname, pid, WTERMSIG(exitstatus))));
  	else
  		ereport(lev,
  
! 		/*
! 		 * translator: %s is a noun phrase describing a child process,
! 		 * such as "server process"
! 		 */
  				(errmsg("%s (PID %d) exited with unexpected status %d",
  						procname, pid, exitstatus)));
  }
--- 2336,2354 ----
  	if (WIFEXITED(exitstatus))
  		ereport(lev,
  
! 		/* translator: %s is a noun phrase describing a child process, such as "server process" */
  				(errmsg("%s (PID %d) exited with exit code %d",
  						procname, pid, WEXITSTATUS(exitstatus))));
  	else if (WIFSIGNALED(exitstatus))
  		ereport(lev,
  
! 		/* translator: %s is a noun phrase describing a child process, such as "server process" */
  				(errmsg("%s (PID %d) was terminated by signal %d",
  						procname, pid, WTERMSIG(exitstatus))));
  	else
  		ereport(lev,
  
! 		/* translator: %s is a noun phrase describing a child process, such as "server process" */
  				(errmsg("%s (PID %d) exited with unexpected status %d",
  						procname, pid, exitstatus)));
  }
*** ./src/backend/utils/error/elog.c.orig	2004-09-29 23:53:19.000000000 -0300
--- ./src/backend/utils/error/elog.c	2004-09-29 23:53:58.000000000 -0300
***************
*** 1860,1869 ****
  	 */
  	if (str == NULL || *str == '\0')
  	{
! 		/*
! 		 * translator: This string will be truncated at 47 characters
! 		 * expanded.
! 		 */
  		snprintf(errorstr_buf, sizeof(errorstr_buf),
  				 gettext("operating system error %d"), errnum);
  		str = errorstr_buf;
--- 1860,1866 ----
  	 */
  	if (str == NULL || *str == '\0')
  	{
! 		/* translator: This string will be truncated at 47 characters expanded. */
  		snprintf(errorstr_buf, sizeof(errorstr_buf),
  				 gettext("operating system error %d"), errnum);
  		str = errorstr_buf;
